Name:           perl-Term-TermKey
Version:        0.17
Release:        1%{?dist}
Summary:        Perl wrapper around libtermkey
License:        GPL-1.0-or-later OR Artistic-1.0-Perl

URL:            https://metacpan.org/dist/Term-TermKey
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Term-TermKey-%{version}.tar.gz

# build requirements
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Alien::libtermkey)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build::Using::PkgConfig)
# runtime requirements
BuildRequires:  perl(Exporter)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Refcount)

%{?perl_default_filter}

%description
This module provides a light perl wrapper around the libtermkey library.
This library attempts to provide an abstract way to read key-press events
in terminal-based programs by providing structures that describe keys,
rather than simply returning raw bytes as read from the TTY device.

%prep
%setup -q -n Term-TermKey-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor --optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes examples README
%license LICENSE
%{perl_vendorarch}/auto/Term*
%{perl_vendorarch}/Term*
%{_mandir}/man3/Term*

%changelog
* Sun Jun 16 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 0.17-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
